For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve bank account guide
      • GETRetrieve bank account guide
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Banks

Retrieve bank account guide

GET
/eor/workers/banks-guide/country/:country/currency/:currency
GET
/rest/v2/eor/workers/banks-guide/country/:country/currency/:currency
$curl https://api.letsdeel.com/rest/v2/eor/workers/banks-guide/country/FR/currency/EUR \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "key": "countryCode",
5 "ui_guide": {
6 "label": "Country",
7 "order": 1,
8 "helper_text": "Select your country code."
9 },
10 "is_required": true,
11 "type": "text",
12 "validations": [
13 {
14 "type": "MIN_LENGTH",
15 "value": 2,
16 "error_message": "Value must be at least 2 characters long."
17 }
18 ],
19 "values_allowed": [
20 {
21 "label": "Argentina",
22 "value": "AR"
23 }
24 ]
25 }
26 ]
27}

Returns the bank account form guide for the specified country and currency combination, providing the field structure required to add a new bank account for an EOR employee. Token scopes: worker:read

Was this page helpful?
Previous

Retrieve bank account guide

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

countrystringRequired
Country
currencystringRequired
Currency

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication